Package twisted :: Package scripts :: Module conch :: Class SSHSession

[show private | hide private]
[frames | no frames]

## Class SSHSession

    SSHChannel --+
                 |
                SSHSession

Method Summary
| `__init__(self, localWindow, localMaxPacket, remoteWindow, remoteMaxPacket, conn)` (inherited from `SSHChannel`)
| `__str__(self)` (inherited from `SSHChannel`)
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window. (inherited from `SSHChannel`)
| `channelOpen(self, foo)`
| ``closed`(self)` Called when the channel is closed.
| ``dataReceived`(self, data)` Called when we receive data.
| ``eofReceived`(self)` Called when the other side will send no more data.
| `extReceived(self, t, data)`
`tuple` | ``getHost`(self)` Return a tuple describing out side of the connection. (inherited from `SSHChannel`)
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection. (inherited from `SSHChannel`)
| `handleInput(self, char)`
| ``loseConnection`(self)` Close the channel. (inherited from `SSHChannel`)
| ``openFailed`(self, reason)` Called when the the open failed for some reason. (inherited from `SSHChannel`)
| `request_exit_status(self, data)`
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel. (inherited from `SSHChannel`)
| `sendEOF(self)`
| ``startWriting`(self)` Called when the remote buffer has more room, as a hint to continue writing.
| ``stopWriting`(self)` Called when the remote buffer is full, as a hint to stop writing.
| ``write`(self, data)` Write some data to the channel. (inherited from `SSHChannel`)
| ``writeExtended`(self, dataType, data)` Send extended data to this channel. (inherited from `SSHChannel`)
| ``writeSequence`(self, data)` Part of the Transport interface. (inherited from `SSHChannel`)

Class Variable Summary
`str` | `name`

Method Details

### closed(self)

Called when the channel is closed.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.closed` (inherited documentation)

### dataReceived(self, data)

Called when we receive data.

  Parameters:
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.dataReceived` (inherited documentation)

### eofReceived(self)

Called when the other side will send no more data.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.eofReceived` (inherited documentation)

### startWriting(self)

Called when the remote buffer has more room, as a hint to continue writing.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.startWriting` (inherited documentation)

### stopWriting(self)

Called when the remote buffer is full, as a hint to stop writing. This can be ignored, but it can be helpful.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.stopWriting` (inherited documentation)

Class Variable Details

### name

  Type:
    `str`
  Value:

        'session'

Generated by Epydoc 1.1 on Thu May 8 13:16:51 2003 | http://epydoc.sf.net